Bug 969812 - Review Request: hg-git - Mercurial Plugin for Communicating with Git Servers
Review Request: hg-git - Mercurial Plugin for Communicating with Git Servers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
: 690726 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 09:21 EDT by Christopher Meng
Modified: 2014-03-28 08:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: hg-git-0.4.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-16 01:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-02 09:21:27 EDT
Spec URL: http://cicku.me/hg-git.spec
SRPM URL: http://cicku.me/hg-git-0.4.0-1.fc20.src.rpm
Description: This is the Hg-Git plugin for Mercurial, adding the ability to push and pull
to/from a Git server repository from Hg. This means you can collaborate on Git
based projects from Hg, or use a Git server as a collaboration point for a team
with developers using both Git and Hg. It can also convert commits/changesets 
losslessly from one system to another, so you can push via an Hg repository 
and another Hg client can pull it and their changeset node ids will be 
identical - Mercurial data does not get lost in translation.
Fedora Account System Username: cicku
Comment 1 Douglas Schilling Landgraf 2013-06-05 09:23:41 EDT
[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review

Rpmlint
-------
Checking: hg-git-0.4.0-1.fc18.noarch.rpm
hg-git.noarch: W: spelling-error %description -l en_US changesets -> change sets, change-sets, changeless
hg-git.noarch: W: spelling-error %description -l en_US losslessly -> colorlessly, bloodlessly, sleeplessly
hg-git.noarch: W: spelling-error %description -l en_US changeset -> change set, change-set, changeless
hg-git.noarch: E: incorrect-fsf-address /usr/share/doc/hg-git-0.4.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint hg-git
hg-git.noarch: W: spelling-error %description -l en_US changesets -> change sets, change-sets, changeless
hg-git.noarch: W: spelling-error %description -l en_US losslessly -> colorlessly, bloodlessly, sleeplessly
hg-git.noarch: W: spelling-error %description -l en_US changeset -> change set, change-set, changeless
hg-git.noarch: E: incorrect-fsf-address /usr/share/doc/hg-git-0.4.0/COPYING
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

Please see my suggestion later.

[OK] MUST: The package must be named according to the Package Naming Guidelines

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 

[OK] MUST: The package must meet the Packaging Guidelines

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines

[OK] MUST: The License field in the package spec file must match the actual license

[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

[OK] MUST: The spec file must be written in American English.

[OK] MUST: The spec file for the package MUST be legible.

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

  CHECKSUM(SHA256) this package     : e82e28805d5e22eb8c7501282ddf9083499f7edf8977c86deaf7557d6f58b40a
  CHECKSUM(SHA256) upstream package : e82e28805d5e22eb8c7501282ddf9083499f7edf8977c86deaf7557d6f58b40a

[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Packages must NOT bundle copies of system libraries.

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

[OK] MUST: Permissions on files must be set properly. 

[OK] MUST: Each package must consistently use macros. 

[OK] MUST: The package must contain code, or permissable content. 

[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present

[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[OK] MUST: All filenames in rpm packages must be valid UTF-8. 

[OK] MUST: Package contains BR: python2-devel or python3-devel

[OK] MUST: Binary eggs must be removed in %prep

[OK] SHOULD: Packager, Vendor, PreReq, Copyright tags should not be in spec file

[OK] SHOULD: Sources can be downloaded from URI in Source: tag

[OK] SHOULD: Reviewer should test that the package builds in mock.

[OK] SHOULD: Buildroot is not present

[OK] SHOULD: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

[OK] SHOULD: Dist tag is present.

[OK] SHOULD: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.

[OK] SHOULD: SourceX tarball generation or download is documented.

[OK] SHOULD: SourceX is a working URL.

[OK] SHOULD: Spec use %global instead of %define.

[OK] SHOULD: Package functions as described.

[OK] SHOULD: Latest version is packaged.

Suggestion
=============
Please work with upstream to update the COPYING file with the new FSF address.
hg-git.noarch: E: incorrect-fsf-address /usr/share/doc/hg-git-0.4.0/COPYING

The above suggested can be  worked in parallel of packaging.

Final status: APPROVED
Comment 2 Christopher Meng 2013-06-05 12:48:08 EDT
New Package SCM Request
=======================
Package Name: hg-git
Short Description: Mercurial Plugin for Communicating with Git Servers
Owners: cicku
Branches: f18 f19 el6
InitialCC:
Comment 3 Gwyn Ciesla 2013-06-05 13:07:34 EDT
Git done (by process-git-requests).
Comment 4 Christopher Meng 2013-06-05 22:27:31 EDT
*** Bug 690726 has been marked as a duplicate of this bug. ***
Comment 5 Fedora Update System 2013-06-06 13:16:09 EDT
hg-git-0.4.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hg-git-0.4.0-1.fc19
Comment 6 Fedora Update System 2013-06-06 13:27:30 EDT
hg-git-0.4.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hg-git-0.4.0-1.fc18
Comment 7 Fedora Update System 2013-06-06 13:45:42 EDT
hg-git-0.4.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/hg-git-0.4.0-1.el6
Comment 8 Fedora Update System 2013-06-06 22:57:59 EDT
hg-git-0.4.0-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-06-16 01:42:27 EDT
hg-git-0.4.0-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-06-16 02:10:23 EDT
hg-git-0.4.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-06-24 17:04:58 EDT
hg-git-0.4.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 12 Christopher Meng 2014-03-28 00:34:35 EDT
Package Change Request
======================
Package Name: hg-git
New Branches: epel7
Owners: cicku
Comment 13 Gwyn Ciesla 2014-03-28 08:45:34 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.